<?php

//////////////////////////////////////////////////////////////
//===========================================================
// vs_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function mediagroups_theme(){

global $theme, $globals, $cluster, $user, $oslist, $ostemplates, $distros, $l, $error, $mediagroups, $servers, $done, $deleted;

softheader($l['<title>']);

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function Delmediagrp(mgid ,ele){

	mgid = mgid || 0;
	
	// List of ids to delete
	var mediagrp = new Array();
	
	if(mgid < 1){
		
		if($(ele).parent().prev().find("select").val()!= 1){
			showalert("'.$l['no_action'].'","1");
			return false;
		}
		
		$(".ios:checked").each(function() {
			mediagrp.push($(this).val());
		});
		
	}else{
		
		mediagrp.push(mgid);
		
	}
	
	if(mediagrp.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	
	showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			var finalData = new Object();
			finalData["delete"] = mediagrp.join(",");
			
			//alert(finalData);
			//return false;
			
			$("#progress_bar").show();
			
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=mediagroups&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("done" in data){
						setTimeout(function(){showalert("'.$l['action_completed'].'");
						$("#alert-modal").on("hidden.bs.modal", function (e) {
						location.reload(true);
						});} ,200);
					}
				},
				error: function(data) {
					$("#progress_bar").hide();
					//alert(data.description);
					return false;
				}
			});
		}
	});
	return false;
};

// ]]></script>

<div class="bg" >
<div class="row mx-auto my-3">
	<div class="col-10">
		<h4 class="text-dark"><i class="fas fa-compact-disc"></i> '.$l['page_head'].'</h4>
	</div>
	<div class="col-2 text-right">
		<span class="search_btn"><a href="javascript:showsearch();" class="text-dark"><i class="fas fa-search"></i></a></span>
	</div>
</div>';

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

if(!empty($deleted)){
	show_alert($l['deleted'], "2");
	echo '<div class="notice"><b>NOTE : </b>&nbsp; '.$l['deleted'].'</div>';
}

echo '<div id="showsearch" style="display:'.(optREQ('search') || (!empty($mediagroups) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="ippool" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="mediagroups">
		
<div class="form-group_head">
	<div class="row mx-auto w-100">
		<div class="col-sm-3"></div>
		<div class="col-sm-3"><label>'.$l['mgid'].'</label><input type="text" class="form-control" name="mgid" id="mgid" size="25" value="'.REQval('mgid','').'"/></div>
		<div class="col-sm-3"><label>'.$l['group_name'].'</label><input type="text" class="form-control" name="mg_name" id="mg_name" size="25" value="'.REQval('mg_name','').'"/></div>
	</div>
	<div class="row mx-auto w-100">
		<div class="col-sm-12 sm_space mt-3 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['search_submit'].'</button></div>
	</div>
</div>
</form>
</div>';

if(empty($mediagroups)){
	show_alert((optREQ('search') ? $l['no_res'] : $l['no_mediagroups']), "2");
	echo '<div class="notice"><b>NOTE : </b>&nbsp; '.(optREQ('search') ? $l['no_res'] : $l['no_mediagroups']).'</div>';
	
}else{
	echo'<div class="row mx-auto w-100 mt-3">
		<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
			page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo'
		</div>
		<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
			<div class="bottom-menu float-right w-100">
				<div class="row my-auto">
					<div class="p-0">
						<label>'.$l['with_selected'].'</label>
					</div>
					<div class="col p-0">
						<select class="custom-select" name="mediagrp_task_select" id="mediagrp_task_select">
							<option value="0">---</option>
							<option value="1">'.$l['ms_delete'].'</option>
						</select>
					</div>
					<div class="pl-2">
						<input type="submit" id ="mediagrp_submit" class="go_btn" name="mediagrp_submit" value="'.$l['go'].'" onclick="Delmediagrp(0 ,this); return false;">
					</div>
				</div>
			</div>
		</div>
	</div>
<form accept-charset="'.$globals['charset'].'" name="multi_mediagrp" id="multi_mediagrp" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
<table class="table table-hover tablesorter">
<tr>
	<th class="min_width" align="center">'.$l['mgid'].'</th>
	<th align="center" class="min_width">'.$l['mg_type'].'</th>
	<th align="center">'.$l['mg_name'].'</th>
	<th align="center">'.$l['mg_desc'].'</th>
	<th align="center">'.$l['mg_media'].'</th>
	<th align="center" colspan="2" class="min_width">'.$l['manage'].'</th>
	<th class="z-index-1 min_width" align="center">
		'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
	</th>
</tr>';

$i = 1;

foreach($mediagroups as $k => $v){

echo '<tr>
	<td align="center">'.$k.'</td>
	<td align="center"><img src="'.$theme['images'].'admin/'.$v['mg_type'].'_42.gif" /></td>
	<td>'.$v['mg_name'].'</td>
	<td>'.$v['mg_desc'].'</td>
	<td>'.(empty($v['mg_media']) ? '<em>'.$l['none'].'</em>' : implode(', ', $v['mg_media'])).'</td>
	<td align="center" width="24">
		<a href="'.$globals['ind'].'act=editmg&mgid='.$k.'" title="'.$l['edit'].'"><i class="fas fa-edit text-warning"></i></a>
	</td>
	<td align="center" width="24">
		<a href="javascript:void(0);" onclick="return Delmediagrp('.$k.');" title="'.$l['delete'].'"><i class="fas fa-trash text-danger"></i></a>
	</td>
	<td width="20" valign="middle" align="center">
		'.get_checkbox('mediagrp_list[]', '', '', array('chk_it' => 0), $k).'
	</td>
</tr>';
	
	$i++;

}		
	
echo '</table></div>';
echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select class="custom-select" name="mediagrp_task_select" id="mediagrp_task_select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="mediagrp_submit" class="go_btn" name="mediagrp_submit" value="'.$l['go'].'" onclick="Delmediagrp(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
</form>
<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>
<center><a href="'.$globals['ind'].'act=addmg" class="link_btn">'.$l['add_mg'].'</a></center><br />';

}
echo '</div>';
softfooter();

}

?>