<?php

//////////////////////////////////////////////////////////////
//===========================================================
// license_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function license_theme(){

global $theme, $globals, $user, $l, $cluster, $info;

softheader($l['<title>']);

echo '
<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-10">
		<h4 class="text-dark"><i class="fas fa-wrench"></i> '.$l['lic_info'].'</h4>
	</div>
	<div class="col-2 text-right">
		<span><a href="'.$globals['docs'].'refresh-lience/" target="_blank" tooltip="'.$l['wiki_help'].'"><i class="icon-help text-dark" ></i></a></span>
	</div>
</div>';

// Is it offline ?
if(empty($info)){
	show_alert($l['server_status_'.$hypervisor_status], 1);
	echo '<div class="e_notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
	
}else{

echo '

<div class="row mx-auto w-100 my-3">
	<div class="col-sm-12 p-0">
		<div class="roundheader">'.$l['lic_info'].'</div>
		<table align="center" class="table no_border table-hover" cellpadding="3" cellspacing="4" border="0" width="100%">
			<tr>
				<td align="left" class="blue_td fhead" width="30%">'.$l['soft_license'].'</td>
				<td class="val">'.$info['license'].' &nbsp; <a href="'.$globals['ind'].'act=license&refreshlicense=1" class="btn">'.$l['refreshlicense'].'</a></td>
			</tr>'.
				(!empty($info['primary_ip']) ? '
				<tr>
					<td align="left" class="blue_td fhead" width="30%">'.$l['license_ip'].'</td>
					<td class="val">'.$info['primary_ip'].'</td>
				</tr>' : '').'
			<tr>
				<td align="left" class="blue_td fhead" width="30%">'.$l['server_addr'].'</td>
				<td class="val">'.$info['SERVER_ADDR'].'</td>
			</tr>
			<tr>
				<td align="left" class="blue_td fhead" width="30%">'.$l['soft_license_type'].'</td>
				<td class="val"><span class="val">'.$info['lictype_txt'].'</span> &nbsp;(<a href="https://www.virtualizor.com/pricing" target="_blank">'.$l['pricing'].'</a>) &nbsp;(<a href="https://www.virtualizor.com/clients" target="_blank">'.$l['client_center'].'</a>)</td>
			</tr>
			<tr>
				<td align="left" class="blue_td fhead" width="30%">'.$l['licactive'].'</td>
				<td class="val">'.$info['active_txt'].'</td>
			</tr>
			<tr>
				<td align="left" class="blue_td fhead" width="30%">'.$l['licexpires'].'</td>
				<td class="val">'.$info['licexpires_txt'].'</td>
			</tr>
			<tr>
				<td align="left" class="blue_td fhead" width="33%">'.$l['licnumvs'].'</td>
				<td class="val">'.(empty($info['licnumvs']) ? $l['vs_unlimited'] : $info['licnumvs']).'</td>
			</tr>
		</table>

		<div class="roundheader toggle_hover cursor-pointer" onclick="toggle_enterlic();"><label id="toggle_indicator" class="min_width">-</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp'.$l['enter_lic_key'].'</div>
		<div id="add_license_key" class="w-100">
			<div class="col-sm-12 p-0">
				<form name="lic_form" action="" method="POST" onsubmit="submit_licenseKey();return false;">
					<div class="form-group">
					<div class="row mx-auto w-100">
						<div align="left" class="col-sm-4 py-2 blue_td" width="20%">
							<label for="input_license_key" class="fhead">'.$l['lic_key'].'</label><br />
							<span class="help-block">'.$l['lic_key_exp'].'<br><b>'.$l['note'].' : </b> '.$l['licence_warning'].' </span>							
						</div>
						<div class="col-sm-7 py-2">
							<input type="text" class="form-control my-2" id="input_license_key" name="input_license_key">
						</div>	
						<div class="col-sm-1 py-2 text-center">
							<input type="submit" class="go_btn my-1" value="'.$l['submit'].'" />
						</div>	
					</div>
					</div>
				</form>
			</div>
		</div>
		<div class="col-sm-12 text-center" id="process_img" style="display:none;">
			<div class="loader-lg"></div>
		</div>
	</div>
</div>
<br />
<br />';

}
echo '</div>';
echo '
<script>

	function toggle_enterlic(){

		if ($("#add_license_key").is(":hidden")){
			$("#add_license_key").slideDown("slow");
			$("#toggle_indicator").text(" - ");
		}else{
			$("#add_license_key").slideUp("slow");
			$("#toggle_indicator").text(" + ");
		}
	}
	
	function submit_licenseKey(){
		
		var lickey = $.trim($("#input_license_key").val());
		
		if(lickey.length != 29){
			showalert("'.$l['inv_key_length'].'" ,"1");
			return;
		}
		
		if(!(/^VIRT(D|E)/.exec(lickey))){
			showalert("'.$l['inv_lic'].'<br>'.$l['licence_warning'].'", 1);
			return;
		}
		
		$("#process_img").css("display","");
		
		$.ajax({
			url: "'.$globals['ind'].'act=license&api=json",
			data: "lickey="+lickey+"&licform=1",
			dataType: "json",
			type: "post",
			success: function(data){
				
				$("#process_img").css("display","none");
				if("error" in data){
					showalert(data["error"] ,"1");
					return false;
				}
				if("done" in data){
					showalert(data["done"]);
					$("#alert-modal").on("hidden.bs.modal", function (e) {
						location.reload(true);
					});
				}
			},
			error: function(data){
				$("#process_img").css("display","none");
				showalert("'.$l['lic_error'].'" ,"1");
			}
		})
	}
	
</script>
';
softfooter();

}

?>